package cn.com.poc.data_analyze.query;	

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import cn.com.yict.framemax.data.model.BaseItemClass;

/**
 * Query Item class for ChannelUsageCountQuery
 */
@Entity
public class ChannelUsageCountQueryItem extends BaseItemClass implements Serializable{

    private static final long serialVersionUID = 1L;
    
    /** channel
    *channel
    */ 
    private java.lang.String channel;
    
    @Column(name = "channel")
    public java.lang.String getChannel(){
        return this.channel;
    }
    
    public void setChannel(java.lang.String channel){
        this.channel = channel;
    }
    
    /** usage_count
    *usage_count
    */ 
    private java.lang.Long usageCount;
    
    @Column(name = "usage_count")
    public java.lang.Long getUsageCount(){
        return this.usageCount;
    }
    
    public void setUsageCount(java.lang.Long usageCount){
        this.usageCount = usageCount;
    }
    
} 